Get an infringement claim
Retrieve a single claim by id. Returns 404 if the claim does not exist or is not against a DIR you own.
GET
/
infringement_claims
/
{claim_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const infringementClaim = await client.infringementClaims.retrieve(
'e379fbc8-cd83-4bef-a280-a0ac9d00dcf8',
);
console.log(infringementClaim.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
infringement_claim = client.infringement_claims.retrieve(
"e379fbc8-cd83-4bef-a280-a0ac9d00dcf8",
)
print(infringement_claim.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
infringementClaim, err := client.InfringementClaims.Get(context.TODO(), "e379fbc8-cd83-4bef-a280-a0ac9d00dcf8")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", infringementClaim.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.infringementclaims.InfringementClaimRetrieveParams;
import com.telnyx.sdk.models.infringementclaims.InfringementClaimRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
InfringementClaimRetrieveResponse infringementClaim = client.infringementClaims().retrieve("e379fbc8-cd83-4bef-a280-a0ac9d00dcf8");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
infringement_claim = telnyx.infringement_claims.retrieve("e379fbc8-cd83-4bef-a280-a0ac9d00dcf8")
puts(infringement_claim)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$infringementClaim = $client->infringementClaims->retrieve(
'e379fbc8-cd83-4bef-a280-a0ac9d00dcf8'
);
var_dump($infringementClaim);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx infringement-claims retrieve \
--api-key 'My API Key' \
--claim-id e379fbc8-cd83-4bef-a280-a0ac9d00dcf8curl --request GET \
--url https://api.telnyx.com/v2/infringement_claims/{claim_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "e379fbc8-cd83-4bef-a280-a0ac9d00dcf8",
"dir_id": "42a3f554-7ce3-44c2-bfe9-6e1afe0d7991",
"enterprise_id": "7eca8226-8081-4e11-abdc-437b5f53a81f",
"claim_description": "Alleged infringement on trademark XYZ.",
"claimant_name": "Test Claimant LLC",
"claimant_contact": "legal@testclaimant.example.com",
"claim_date": "2026-04-22T02:12:54Z",
"resolution_date": "2023-11-07T05:31:56Z",
"resolution_notes": "<string>",
"contest_documents": [
{
"document_id": "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
"document_type": "business_registration",
"description": "Certificate of incorporation."
}
],
"contest_history": [
{
"notes": "We own the trademark outright; our registration precedes the claimant by three years.",
"submitted_at": "2026-04-22T02:13:06.629473Z",
"document_count": 1
}
],
"dir": {
"id": "42a3f554-7ce3-44c2-bfe9-6e1afe0d7991",
"display_name": "Acme Plumbing",
"enterprise_id": "7eca8226-8081-4e11-abdc-437b5f53a81f"
},
"created_at": "2026-04-22T02:12:55.908411Z",
"updated_at": "2026-04-22T02:12:55.908417Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Claim id (lowercase UUID).
Example:
"e379fbc8-cd83-4bef-a280-a0ac9d00dcf8"
Response
Claim.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const infringementClaim = await client.infringementClaims.retrieve(
'e379fbc8-cd83-4bef-a280-a0ac9d00dcf8',
);
console.log(infringementClaim.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
infringement_claim = client.infringement_claims.retrieve(
"e379fbc8-cd83-4bef-a280-a0ac9d00dcf8",
)
print(infringement_claim.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
infringementClaim, err := client.InfringementClaims.Get(context.TODO(), "e379fbc8-cd83-4bef-a280-a0ac9d00dcf8")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", infringementClaim.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.infringementclaims.InfringementClaimRetrieveParams;
import com.telnyx.sdk.models.infringementclaims.InfringementClaimRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
InfringementClaimRetrieveResponse infringementClaim = client.infringementClaims().retrieve("e379fbc8-cd83-4bef-a280-a0ac9d00dcf8");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
infringement_claim = telnyx.infringement_claims.retrieve("e379fbc8-cd83-4bef-a280-a0ac9d00dcf8")
puts(infringement_claim)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$infringementClaim = $client->infringementClaims->retrieve(
'e379fbc8-cd83-4bef-a280-a0ac9d00dcf8'
);
var_dump($infringementClaim);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx infringement-claims retrieve \
--api-key 'My API Key' \
--claim-id e379fbc8-cd83-4bef-a280-a0ac9d00dcf8curl --request GET \
--url https://api.telnyx.com/v2/infringement_claims/{claim_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "e379fbc8-cd83-4bef-a280-a0ac9d00dcf8",
"dir_id": "42a3f554-7ce3-44c2-bfe9-6e1afe0d7991",
"enterprise_id": "7eca8226-8081-4e11-abdc-437b5f53a81f",
"claim_description": "Alleged infringement on trademark XYZ.",
"claimant_name": "Test Claimant LLC",
"claimant_contact": "legal@testclaimant.example.com",
"claim_date": "2026-04-22T02:12:54Z",
"resolution_date": "2023-11-07T05:31:56Z",
"resolution_notes": "<string>",
"contest_documents": [
{
"document_id": "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
"document_type": "business_registration",
"description": "Certificate of incorporation."
}
],
"contest_history": [
{
"notes": "We own the trademark outright; our registration precedes the claimant by three years.",
"submitted_at": "2026-04-22T02:13:06.629473Z",
"document_count": 1
}
],
"dir": {
"id": "42a3f554-7ce3-44c2-bfe9-6e1afe0d7991",
"display_name": "Acme Plumbing",
"enterprise_id": "7eca8226-8081-4e11-abdc-437b5f53a81f"
},
"created_at": "2026-04-22T02:12:55.908411Z",
"updated_at": "2026-04-22T02:12:55.908417Z"
}
}